<!DOCTYPE html>
<html>
    <head>
        <style>
        body { 
            margin:0px;
        }
        table, th, td {
            border: 1px solid black;
            border-collapse: collapse;
        }
        th, td {
            padding: 5px;
        }
        th {
            text-align: left;
        }

        .container {
            height:100%;
            width:100%;
            position: fixed;
            z-index: -1
        }

        .members {
            margin-top: 8px;
            margin-left: 1em;
            margin-right: 1em;
        }

        /* Add a black background color to the top navigation */
        .topnav {
            background-color: #ED7D31;
            overflow: hidden;
            box-shadow: 0 4px 2px 0px gray;
        }

        /* Style the links inside the navigation bar */
        .topnav a {
            float: left;
            color: black;
            text-align: center;
            padding: 14px 16px;
            text-decoration: none;
            font-size: 23px;
        }

        .topnav a:hover {
            background-color: #BA6127;
        }

        .logo {
            padding: 0px 0px ! important;
        }
        
        .logo img {
            float: left;
            height: 54px;
        }

        </style>
    </head>
    <body>
        <div class="topnav">
            <a class="logo" href="/members.php"><img src="logo.png"></a>
            <a href="/members.php">Tabla de Miembros</a>
        </div> 

        <div class="container">
            <div class="members">
    <?php
    if ($_SERVER["REQUEST_METHOD"] == "GET") {
        include 'db.php';

        # Select username row
        $sql = "SELECT username, nombre, organizacion, puesto, urbanizacion, calle, pueblo, cpostal, telefono, correo, membresia, vigencia FROM login NATURAL JOIN miembros;";
        

        if($result = $conn->query($sql)){
            // username 	nombre 	organizacion 	puesto 	urbanizacion 	calle 	pueblo 	cpostal 	telefono 	correo 	membresia 	vigencia 
            echo "<table style=\"width:100%\"><tr><th>Username</th><th>Nombre</th><th>Organizacion</th><th>Puesto</th><th>Urbanizacion</th>
                    <th>Calle</th><th>Pueblo</th><th>Codigo Posta</th><th>Telefono</th><th>Correo</th><th>Membresia</th><th>Vigencia</th></tr>";
            while($row = $result->fetch_assoc()){
                echo "<tr><td>".$row["username"]."</td><td>".$row["nombre"]."</td><td>".$row["organizacion"]."</td><td>".$row["puesto"]."</td><td>".
                    $row["urbanizacion"]."</td><td>".$row["calle"]."</td><td>".$row["pueblo"]."</td><td>".$row["cpostal"]."</td><td>".$row["telefono"]."</td><td>"
                    .$row["correo"]."</td><td>".$row["membresia"]."</td><td>".$row["vigencia"]."</tr>";
            }
            echo "</table>";

        } else {
            echo "Could not get rows";
        }

        # Closes databde
        $conn->close();
        
    } else {
        header('Content-type: application/json');
        header($_SERVER["SERVER_PROTOCOL"]." 405 Method Not Allowed", true, 405);
        exit();
    }
    ?>
            </div>
        </div>
    </body>
</html>