CREATE TABLE login (
    userid INTEGER PRIMARY KEY AUTO_INCREMENT,
    username VARCHAR(16),
    hash VARBINARY(255),
    UNIQUE(username)
);

CREATE TABLE miembros (
  userid INTEGER,
  nombre VARCHAR(64),
  organizacion TINYTEXT,
  puesto VARCHAR(64),
  urbanizacion TINYTEXT,
  calle TINYTEXT,
  pueblo VARCHAR(32),
  cpostal CHAR(5),
  telefono CHAR(10),
  correo VARCHAR(64),
  membresia VARCHAR(16),
  vigencia DATE,
  FOREIGN KEY (userid) REFERENCES login(userid) ON DELETE CASCADE
);
